Bug 1734420 - mysql linked without RELRO
Summary: mysql linked without RELRO
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: mysql
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Michal Schorm
QA Contact: RHEL CS Apps Subsystem QE
URL:
Whiteboard:
Depends On:
Blocks: 1732042 1732043
TreeView+ depends on / blocked
 
Reported: 2019-07-30 13:54 UTC by Matej Mužila
Modified: 2020-07-23 07:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-23 07:43:21 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Matej Mužila 2019-07-30 13:54:53 UTC
Description of problem:

Lot of mysql binaries are linked without RELRO hardening.


Version-Release number of selected component (if applicable):
mysql-8.0.13-1.module+el8+2558+036183ec


Additional info: https://rpmdiff.engineering.redhat.com/run/412496/7/

Comment 1 Honza Horak 2020-05-12 09:37:33 UTC
I suspect the assignee here was not correct, reassigning to Michal. Michal, is this still the case? If so, is it possible to fix it together with the next respin or is that more complicated?

Comment 2 Lukas Javorsky 2020-07-23 07:43:21 UTC
Hi Honza,

The mysql package is no longer build without RELRO hardening.

Here is the commit which fixed that: https://src.osci.redhat.com/rpms/mysql/c/0bbebf138f778b51e302126ef0aacc6215188ad5?branch=stream-8.0-rhel-8.1.0

IIRC this BZ can be closed than, if there is something more, feel free to reopen it.


Note You need to log in before you can comment on or make changes to this bug.